Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant
Class IntrospectionHelper

    java.lang.Object
      |
      +--org.apache.tools.ant.IntrospectionHelper

public class IntrospectionHelper
extends java.lang.Object

Helper class that collects the methods a task or nested element holds to set attributes, create nested elements or hold PCDATA elements.

Author:
  Stefan Bodewig stefan.bodewig@megabit.net

Method Summary
`void` | `addText(java.lang.Object element, java.lang.String text)` Adds PCDATA areas.
`java.lang.Object` | `createElement(java.lang.Object element, java.lang.String elementName)` Creates a named nested element.
`java.util.Enumeration` | `getAttributes()` Return all attribues supported by the introspected class.
`java.lang.Class` | `getAttributeType(java.lang.String attributeName)` returns the type of a named attribute.
`java.lang.Class` | `getElementType(java.lang.String elementName)` returns the type of a named nested element.
`static IntrospectionHelper` | `getHelper(java.lang.Class c)` Factory method for helper objects.
`java.util.Enumeration` | `getNestedElements()` Return all nested elements supported by the introspected class.
`void` | `setAttribute(Project p, java.lang.Object element, java.lang.String attributeName, java.lang.String value)` Sets the named attribute.
`boolean` | `supportsCharacters()` Does the introspected class support PCDATA?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getHelper

    public static IntrospectionHelper getHelper(java.lang.Class c)

  Factory method for helper objects.

### setAttribute

    public void setAttribute(Project p,
                             java.lang.Object element,
                             java.lang.String attributeName,
                             java.lang.String value)
                      throws BuildException

  Sets the named attribute.

### addText

    public void addText(java.lang.Object element,
                        java.lang.String text)

  Adds PCDATA areas.

### createElement

    public java.lang.Object createElement(java.lang.Object element,
                                          java.lang.String elementName)
                                   throws BuildException

  Creates a named nested element.

### getElementType

    public java.lang.Class getElementType(java.lang.String elementName)
                                   throws BuildException

  returns the type of a named nested element.

### getAttributeType

    public java.lang.Class getAttributeType(java.lang.String attributeName)
                                     throws BuildException

  returns the type of a named attribute.

### supportsCharacters

    public boolean supportsCharacters()

  Does the introspected class support PCDATA?

### getAttributes

    public java.util.Enumeration getAttributes()

  Return all attribues supported by the introspected class.

### getNestedElements

    public java.util.Enumeration getNestedElements()

  Return all nested elements supported by the introspected class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.